Bug 1657771 - OSP14 | Health check for collectd container fails due to DeleteSocket issue.
Summary: OSP14 | Health check for collectd container fails due to DeleteSocket issue.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: z1
: 14.0 (Rocky)
Assignee: Martin Magr
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks: 1714859
TreeView+ depends on / blocked
 
Reported: 2018-12-10 12:16 UTC by Leonid Natapov
Modified: 2019-05-29 05:18 UTC (History)
2 users (show)

Fixed In Version: openstack-tripleo-heat-templates-9.0.1-0.20181013060916.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1714859 (view as bug list)
Environment:
Last Closed: 2019-03-18 13:03:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1807683 None None None 2018-12-10 12:21:13 UTC
OpenStack gerrit 624042 None None None 2018-12-10 12:21:13 UTC
OpenStack gerrit 633457 None None None 2019-01-28 08:56:04 UTC
Red Hat Product Errata RHBA-2019:0446 None None None 2019-03-18 13:03:31 UTC

Description Leonid Natapov 2018-12-10 12:16:36 UTC
Description of problem:


After some time of running, a health check for collected start shows that collectd container is "unhealthy". This happens because /var/run/collect-socket created by health check script sooner than collectd starts.

Comment 7 Matthias Runge 2019-01-28 08:56:05 UTC
just cherry-picked the patch to OpenStack Rocky

Comment 10 Leonid Natapov 2019-02-11 15:49:19 UTC
fixed.

Comment 11 Mikey Ariel 2019-02-20 12:44:19 UTC
If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field. The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Comment 13 errata-xmlrpc 2019-03-18 13:03:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0446


Note You need to log in before you can comment on or make changes to this bug.